%undefine __libtoolize
%define unstable 0
#%set_libtool_version 1.4

%add_findprov_lib_path %_libdir/kde3

%define kexi 0

%define qtdir /usr/lib/qt3
%define kdedir %prefix
%define beta %nil

Name: koffice
Version: 1.3.2
Release: alt1
Serial: 4

Group: Office
Summary: Set of office applications for KDE
URL: http://www.kde.org/
License: GPL

Requires: koffice-karbon = %version-%release
Requires: koffice-kchart = %version-%release
%if %kexi
Requires: koffice-kexi = %version-%release
%endif
Requires: koffice-kformula = %version-%release
Requires: koffice-kivio = %version-%release
#Requires: koffice-doc = %version-%release
Requires: koffice-libs = %version-%release
#Requires: koffice-kontour = %version-%release
Requires: koffice-koshell = %version-%release
Requires: koffice-kpresenter = %version-%release
Requires: koffice-kspread = %version-%release
Requires: koffice-kugar = %version-%release
Requires: koffice-kword = %version-%release

Source: koffice-%version%beta.tar.bz2
#Source: koffice-1.3.tar.bz2

Patch1: koffice-1.3-fix-compile.patch
# ALT
Patch51: koffice-pythondb.patch
Patch52: koffice-1.2.93-fexceptions.patch
Patch53: koffice-1.2.94-fix_no_krita.patch
Patch54: lib-1.3.0-find-native-mimetype.patch
Patch55: 1.3.2-flags.patch

# Automatically added by buildreq on Thu Mar 18 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs bzlib-devel doxygen fontconfig-devel freetype2-devel gcc-c++ glib2-devel kde-settings kdelibs-devel libImageMagick-devel libart_lgpl-devel libarts-devel libaspell-devel libexif-devel libgsf-devel libjpeg-devel liblcms-devel libpng-devel libqt3-devel libstdc++-devel libtiff-devel libwv2-devel libxml2-devel libxslt-devel pkgconfig python-devel qt3-designer qt3-doc xml-utils zlib-devel

BuildRequires: XFree86-devel XFree86-libs bzlib-devel doxygen
BuildRequires: fontconfig-devel freetype2-devel gcc-c++ glib2-devel
BuildRequires: kdelibs-devel libImageMagick-devel libart_lgpl-devel libarts-devel
BuildRequires: libaspell-devel libexif-devel libgsf-devel libjpeg-devel liblcms-devel
BuildRequires: libpng-devel libqt3-devel libstdc++-devel libtiff-devel libwv2-devel
BuildRequires: libxml2-devel libxslt-devel pkgconfig python-devel
BuildRequires: qt3-designer qt3-doc xml-utils zlib-devel
BuildRequires: kdelibs-devel-cxx = %__gcc_version_base
BuildRequires: kdelibs >= 3.0.0 kdelibs-devel >= 3.0.0

%description
Office applications for the K Desktop Environment.

KOffice contains:
   * KWord: word processor
   * KSpread: spreadsheet
   * KPresenter: presentations
   * KChart: diagram generator
   * Kontour
   * Krayon
   * Kugar
   * Kivio
   * Some filters (Excel 97, Winword 97/2000, etc.)

%package common
Summary: Common empty package for %name
Group: Graphical desktop/KDE
Requires: kde-common >= 3.2
Conflicts: koffice <= 1.2.1-alt4
#
%description common
Common empty package for %name

%package devel
Group: Development/KDE and QT
Summary: Header files for developing koffice applications
Requires: %name-common = %version-%release
#
%description devel
Header files needed for developing koffice applications.

%package libs
Group: System/Libraries
Summary: Common libraries for koffice
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description libs
Common libraries for koffice

%package karbon
Group: Office
Summary: Vector graphics application
Requires: %name-common = %version-%release
#
%description karbon
Vector graphics application

%package kchart
Group: Office
Summary: Chart generator
Requires: %name-common = %version-%release
#
%description kchart
Chart generator

%package kformula
Group: Office
Summary: Formula editor
Requires: %name-common = %version-%release
#
%description kformula
Formula editor

%package kivio
Group: Office
Summary: Flowcharting tool
Obsoletes: kivio, koffice-kivio
Requires: %name-common = %version-%release
#
%description kivio
Flowcharting tool

%package kontour
Group: Office
Summary: Illustration tool
Obsoletes: kontour
Requires: %name-common = %version-%release
#
%description kontour
Illustration tool

%package koshell
Group: Office
Summary: Koffice workspace
Requires: %name-common = %version-%release
#
%description koshell
Koffice workspace

%package kpresenter
Group: Office
Summary: Presentation tool
Requires: %name-common = %version-%release
#
%description kpresenter
Presentation tool

%package kspread
Group: Office
Summary: Spreadsheet application
Requires: %name-common = %version-%release
#
%description kspread
Spreadsheet application

%package kugar
Group: Office
Summary: A template driven report viewer for XML data
Requires: %name-common = %version-%release
#
%description kugar
A template driven report viewer for XML data

%package kword
Group: Office
Summary: Word processor
Requires: %name-common = %version-%release
#
%description kword
Word processor

%package kexi
Group: Office
Summary: Database management
Requires: %name-common = %version-%release
#
%description kexi
Office database management program

%prep
%setup -q -n %name-%version%beta
#%setup -q -n %name-1.3
#rm -rf kexi

#%patch1 -p1
#%patch51 -p1
%patch52 -p1
#%patch53 -p1
%patch54 -p1
%patch55 -p1

# hack to fix add .h .cpp .moc
for f in `find ./ -type f -name \*.ui`
do
    %qtdir/bin/uic $f -o `echo $f|sed "s/\.ui/.h/"` 2>/dev/null ||:
    %qtdir/bin/uic $f -impl `echo $f|sed "s/\.ui/.h/"` $f -o `echo $f|sed "s/\.ui/.cpp/"` 2>/dev/null ||:
done
for f in `find ./ -type f -name \*.h`; do %qtdir/bin/moc $f -o `echo $f|sed "s/\.h/.moc/"` 2>/dev/null ||:; done

subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
#export PYTHONDIR=/usr/lib/python2.2
export QTDIR=%qtdir KDEDIR=%kdedir
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
%add_optflags %optflags_shared

%configure \
                    --disable-static \
                    --enable-shared \
%if %unstable
                    --disable-final \
                    --enable-debug=full \
%else
                    --enable-final \
                    --disable-debug \
%endif
	            --disable-embedded \
    		    --disable-palmtop \
                    --with-xinerama \
    		    --with-gnu-ld \
            	    --with-pic \
                    --disable-rpath \
		    --with-xinerama \
		    --program-transform-name="" \
                    --mandir=%_mandir

%make_build

%install
%if %unstable
%set_strip_method none
%endif

%make install DESTDIR=%buildroot RUN_KAPPFINDER=no

# create menu
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl koffice-koshell Office %buildroot/%_datadir/applnk/Office/koshell.desktop %buildroot/%_menudir/koffice-koshell
kdedesktop2mdkmenu.pl koffice-libs Office/Accessories %buildroot/%_datadir/applnk/Office/KThesaurus.desktop %buildroot/%_menudir/koffice-kthesaurus

kdedesktop2mdkmenu.pl koffice-kchart Office/Graphs %buildroot/%_datadir/applnk/Office/kchart.desktop %buildroot/%_menudir/koffice-kchart
#kdedesktop2mdkmenu.pl koffice-kontour Multimedia/Graphics %buildroot/%_datadir/applnk/Office/kontour.desktop %buildroot/%_menudir/koffice-kontour
kdedesktop2mdkmenu.pl koffice-kivio Office/Graphs %buildroot/%_datadir/applnk/Office/kivio.desktop %buildroot/%_menudir/koffice-kivio
kdedesktop2mdkmenu.pl koffice-karbon Office/Graphs %buildroot/%_datadir/applnk/Office/karbon.desktop %buildroot/%_menudir/koffice-karbon

kdedesktop2mdkmenu.pl koffice-kpresenter Office/Presentations %buildroot/%_datadir/applnk/Office/kpresenter.desktop %buildroot/%_menudir/koffice-kpresenter

kdedesktop2mdkmenu.pl koffice-kspread Office/Spreadsheets %buildroot/%_datadir/applnk/Office/kspread.desktop %buildroot/%_menudir/koffice-kspread

kdedesktop2mdkmenu.pl koffice-kword Office/Wordprocessors %buildroot/%_datadir/applnk/Office/kword.desktop %buildroot/%_menudir/koffice-kword
kdedesktop2mdkmenu.pl koffice-kformula Office/Wordprocessors %buildroot/%_datadir/applnk/Office/kformula.desktop %buildroot/%_menudir/koffice-kformula
%if %kexi
kdedesktop2mdkmenu.pl koffice-kexi Office/Wordprocessors %buildroot/%_datadir/applnk/Office/kexi.desktop %buildroot/%_menudir/koffice-kexi
%endif

kdedesktop2mdkmenu.pl koffice-kugar "Applications/Text tools" %buildroot/%_datadir/applnk/Office/kugar.desktop %buildroot/%_menudir/koffice-kugar
kdedesktop2mdkmenu.pl koffice "Applications/Text tools" %buildroot/%_datadir/applnk/Office/kudesigner.desktop %buildroot/%_menudir/koffice-kugar-designer

# Add an icon to Koshell
# Think to remove that when Koshell will have its own icon
perl -pi -e "s|koshell.png|kword.png|" %buildroot/%_menudir/koffice-koshell

# delete files same with kdelibs
for n in `rpm -ql kdelibs| grep /usr/share/mimelnk`
do
    [ -f %buildroot/$n ] && rm -f  %buildroot/$n
done

%post karbon
%post_ldconfig
%update_menus
%postun karbon
%postun_ldconfig
%clean_menus

%post kchart
%post_ldconfig
%update_menus
%postun kchart
%postun_ldconfig
%clean_menus

%post kformula
%post_ldconfig
%update_menus
%postun kformula
%postun_ldconfig
%clean_menus

%post kivio
%post_ldconfig
%update_menus
%postun kivio
%postun_ldconfig
%clean_menus

#%post kontour
#%post_ldconfig
#%update_menus
#%postun kontour
#%postun_ldconfig
#%clean_menus

%post koshell
%post_ldconfig
%update_menus
%postun koshell
%postun_ldconfig
%clean_menus

%post kpresenter
%post_ldconfig
%update_menus
%postun kpresenter
%postun_ldconfig
%clean_menus

%post kspread
%post_ldconfig
%update_menus
%postun kspread
%postun_ldconfig
%clean_menus

%post kugar
%post_ldconfig
%update_menus
%postun kugar
%postun_ldconfig
%clean_menus

%post kword
%post_ldconfig
%update_menus
%postun kword
%postun_ldconfig
%clean_menus

%post kexi
%post_ldconfig
%update_menus
%postun kexi
%postun_ldconfig
%clean_menus

%post libs
%post_ldconfig
%update_menus
%postun libs
%postun_ldconfig
%clean_menus


%files
%files common

%files karbon
%_bindir/karbon
%_libdir/karbon.so*
%_libdir/kde3/libkarbon*
%_libdir/kde3/karbon_*
%_datadir/applnk/Office/karbon.desktop
%_datadir/apps/karbon
%_datadir/templates/Illustration.desktop
%_datadir/templates/.source/Illustration.karbon
%_datadir/services/karbonpart.desktop
%_datadir/services/karbon_kontour_import.desktop
%_datadir/services/karbon_svg_import.desktop
%_datadir/services/karbon_wmf_export.desktop
%_datadir/services/karbon_msod_*port.desktop
%_datadir/services/karbon_xcf_export.desktop
%_iconsdir/*/*/apps/karbon.png
%_menudir/koffice-karbon

%files kchart
%doc %_docdir/HTML/en/kchart
%_bindir/kchart
%_libdir/kchart.so*
%_libdir/libkdchart.so*
%_libdir/kde3/libkchartpart.*
%_datadir/applnk/Office/kchart.desktop
%_datadir/apps/kchart
#%_datadir/servicetypes/kochart.desktop
%_datadir/services/kchartpart.desktop
%_iconsdir/*/*/apps/kchart.png
%_menudir/koffice-kchart

%if %kexi
%files kexi
%_bindir/cqli
%_bindir/kexi
%_bindir/kexitest
%_libdir/libcql*.so*
%_libdir/kexi*.so*
%_libdir/libkexi*.so*
%_libdir/libkformeditor.so*
%_libdir/kde3/libkexipart.*
%_libdir/kde3/kexicqlinterface.*
%_libdir/kde3/kexihandler_form.*
%_libdir/kde3/kexihandler_kugar.*
%_libdir/kde3/kexihandler_query.*
%_libdir/kde3/kexihandler_relation.*
%_libdir/kde3/kexihandler_script.*
%_libdir/kde3/kexihandler_table.*
%_libdir/kde3/keximysqlinterface.*
%_libdir/kde3/kexiprojectwizard.*
%_libdir/kde3/kudesigner_kexiplugin.*
%_datadir/apps/kexi
%_datadir/mimelnk/application/x-vnd.kde.kexi.desktop
%_datadir/services/kexi
%_datadir/services/kexicqlinterface.desktop
%_datadir/services/keximysqlinterface.desktop
%_iconsdir/*/*/apps/kexi.png
%_iconsdir/*/*/mimetypes/kexi.png
%_datadir/applnk/Office/kexi.desktop
%_menudir/koffice-kexi
%endif

%files kformula
%doc %_docdir/HTML/en/kformula
%_bindir/kformula
%_libdir/kformulamain.so*
%_libdir/kde3/libkfomathmlexport.*
%_libdir/kde3/libkfomathmlimport.*
%_libdir/kde3/libkformulapart.*
%_datadir/applnk/Office/kformula.desktop
%_datadir/apps/kformula
%_datadir/services/kformula_mathml_*port.desktop
%_datadir/services/kformulapart.desktop
%_iconsdir/*/*/apps/kformula.png
%_menudir/koffice-kformula

%files kivio
%doc %_docdir/HTML/en/kivio
%_bindir/kivio
%_libdir/kivio.so*
%_libdir/libkivio*.so*
%_libdir/kde3/libkivio*
%_libdir/kde3/straight_connector.*
%_datadir/applnk/Office/kivio.desktop
%_datadir/apps/kivio
%_datadir/services/kivio*
%_iconsdir/*/*/apps/kivio.png
%_menudir/koffice-kivio

%files libs
%doc %_docdir/HTML/en/koffice
%doc %_docdir/HTML/en/thesaurus
%_menudir/koffice-kthesaurus
%_bindir/koconverter
%_bindir/koscript
%_bindir/kthesaurus
#%_libdir/libkdgantt.*
%_libdir/libkospell.so*
%_libdir/libkowmf.so*
%_libdir/libkformula.so*
%_libdir/libkochart.so*
%_libdir/libkofficecore.so*
%_libdir/libkofficeui.so*
%_libdir/libkopainter.so*
%_libdir/libkoscript.so*
%_libdir/libkotext.so*
%_libdir/libkstore.so*
%_libdir/libkwmf.so*
%_libdir/libkwordexportfilters.so*
%_libdir/kde3/clipartthumbnail.*
%_libdir/kde3/kfile_koffice.*
%_libdir/kde3/kfile_ooo.*
%_libdir/kde3/kodocinfopropspage.*
%_libdir/kde3/kofficescan.*
%_libdir/kde3/kofficethumbnail.*
%_libdir/kde3/libgenerickofilter.*
%_libdir/kde3/libabiwordexport.*
%_libdir/kde3/libabiwordimport.*
%_libdir/kde3/libamiproexport.*
%_libdir/kde3/libamiproimport.*
#%_libdir/kde3/libapplixgraphicimport.*
%_libdir/kde3/libapplixspreadimport.*
%_libdir/kde3/libapplixwordimport.*
%_libdir/kde3/libasciiexport.*
%_libdir/kde3/libasciiimport.*
%_libdir/kde3/libdbaseimport.*
%_libdir/kde3/libdocbookexport.*
%_libdir/kde3/libhtmlexport.*
%_libdir/kde3/libhtmlimport.*
%_libdir/kde3/libkfolatexexport.*
%_libdir/kde3/libkfopngexport.*
%_libdir/kde3/libkounavailpart.*
%_libdir/kde3/libkprkword.*
%_libdir/kde3/libkspelltool.*
#%_libdir/kde3/liblatexexport.*
#%_libdir/kde3/liblateximport.*
#%_libdir/kde3/liblatexparser.*
#%_libdir/kde3/libmsodimport.*
%_libdir/kde3/libmswriteimport.*
%_libdir/kde3/libolefilter.*
%_libdir/kde3/libpalmdocexport.*
%_libdir/kde3/libpalmdocimport.*
%_libdir/kde3/librtfexport.*
%_libdir/kde3/librtfimport.*
#%_libdir/kde3/libtexgraphexport.*
%_libdir/kde3/libthesaurustool.*
%_libdir/kde3/libwmfimport.*
%_libdir/kde3/libwmfexport.*
%_libdir/kde3/libwmlexport.*
%_libdir/kde3/libwmlimport.*
%_libdir/kde3/libwpexport.*
%_libdir/kde3/libwpimport.*
%_libdir/kde3/libxsltexport.*
%_libdir/kde3/libxsltimport.*
%_datadir/apps/koffice
%_datadir/apps/thesaurus
%_datadir/apps/xsltfilter
%_datadir/applnk/Office/KThesaurus.desktop
%_iconsdir/*/*/actions/*.png
%_datadir/services/generic_filter.desktop
#%_datadir/services/otherofficethumbnail.desktop
%_datadir/services/clipartthumbnail.desktop
%_datadir/services/karbon_ai_import.desktop
%_datadir/services/karbon_eps_export.desktop
%_datadir/services/karbon_eps_import.desktop
%_datadir/services/karbon_png_export.desktop
%_datadir/services/karbon_ps_import.desktop
%_datadir/services/karbon_svg_export.desktop
%_datadir/services/karbon_wmf_import.desktop
%_datadir/services/kfile_koffice.desktop
%_datadir/services/kfile_ooo.desktop
%_datadir/services/kformula_latex_export.desktop
%_datadir/services/kformula_png_export.desktop
%_datadir/services/kodocinfopropspage.desktop
%_datadir/services/kofficethumbnail.desktop
%_datadir/services/kounavail.desktop
%_datadir/services/kprkword.desktop
%_datadir/services/kspelltool.desktop
%_datadir/services/kspread_applixspread_import.desktop
%_datadir/services/kspread_dbase_import.desktop
%_datadir/services/kword_abiword_export.desktop
%_datadir/services/kword_abiword_import.desktop
%_datadir/services/kword_amipro_export.desktop
%_datadir/services/kword_amipro_import.desktop
%_datadir/services/kword_applixword_import.desktop
%_datadir/services/kword_ascii_export.desktop
%_datadir/services/kword_ascii_import.desktop
%_datadir/services/kword_docbook_export.desktop
%_datadir/services/kword_html_export.desktop
%_datadir/services/kword_html_import.desktop
%_datadir/services/kword_latex_export.desktop
#%_datadir/services/kword_latex_import.desktop
%_datadir/services/kword_mswrite_*port.desktop
%_datadir/services/kword_palmdoc_export.desktop
%_datadir/services/kword_palmdoc_import.desktop
%_datadir/services/kword_rtf_export.desktop
%_datadir/services/kword_rtf_import.desktop
%_datadir/services/kword_wml_export.desktop
%_datadir/services/kword_wml_import.desktop
%_datadir/services/kword_wp_export.desktop
%_datadir/services/kword_wp_import.desktop
%_datadir/services/ole_excel97_import.desktop
%_datadir/services/ole_hancomword_import.desktop
%_datadir/services/ole_powerpoint97_import.desktop
%_datadir/services/ole_winword97_import.desktop
%_datadir/services/thesaurustool.desktop
%_datadir/services/xslt_export.desktop
%_datadir/services/xslt_import.desktop
%_datadir/servicetypes/*
#%_datadir/templates/*
#%_datadir/templates/.source/*

#%files kontour
#%doc %_docdir/HTML/en/kontour
#%_bindir/kontour
#%_libdir/kontour.so*
#%_libdir/kde3/libkontourpart.*
#%_datadir/applnk/Office/kontour.desktop
#%_datadir/apps/kontour
#%_datadir/templates/.source/Illustration.kil
#%_datadir/templates/Illustration.desktop
#%_iconsdir/*/*/apps/kontour.png
#%_menudir/koffice-kontour

%files koshell
%doc %_docdir/HTML/en/koshell
%_bindir/koshell
%_libdir/koshell.so*
%_datadir/applnk/Office/koshell.desktop
%_datadir/apps/koshell
#%_iconsdir/*/*/apps/koshell.png
%_menudir/koffice-koshell

%files kpresenter
%doc %_docdir/HTML/en/kpresenter
%_bindir/kpresenter
%_bindir/kprconverter.pl
%_libdir/kpresenter.so*
%_libdir/kde3/libkpresenterpart.*
%_libdir/kde3/libooimpress*
%_datadir/apps/kpresenter
%_datadir/applnk/Office/kpresenter.desktop
%_datadir/templates/.source/Presentation.kpt
%_datadir/templates/Presentation.desktop
%_datadir/services/kpresenter_ooimpress_*.desktop
%_datadir/services/kpresenterpart.desktop
%_iconsdir/*/*/apps/kpresenter.png
%_menudir/koffice-kpresenter

%files kspread
%doc %_docdir/HTML/en/kspread
%_bindir/kspread
%_libdir/kspread.so*
%_libdir/kde3/libgnumericexport.*
%_libdir/kde3/libgnumericimport.*
%_libdir/kde3/libkspreadhtmlexport.*
%_libdir/kde3/libkspreadpart.*
%_libdir/kde3/libkspreadlatexexport.*
%_libdir/kde3/libkspreadcalc.*
%_libdir/kde3/libcsvexport.*
%_libdir/kde3/libcsvimport.*
%_libdir/kde3/libqproimport.*
%_libdir/kde3/libopencalc*.*
%_datadir/applnk/Office/kspread.desktop
%_datadir/apps/kspread
#%_datadir/services/kspread_*.desktop
%_datadir/services/kspreadcalc.desktop
%_datadir/templates/.source/SpreadSheet.ksp
%_datadir/templates/SpreadSheet.desktop
%_datadir/services/kspread_csv_*port.desktop
%_datadir/services/kspread_gnumeric_*port.desktop
%_datadir/services/kspread_html_*port.desktop
%_datadir/services/kspread_latex_*port.desktop
%_datadir/services/kspread_opencalc_*port.desktop
%_datadir/services/kspread_qpro_*port.desktop
%_datadir/services/kspreadpart.desktop
%_iconsdir/*/*/apps/kspread.png
%_iconsdir/*/*/apps/kspreadcalc.png
%_menudir/koffice-kspread

%files kugar
%doc %_docdir/HTML/en/kugar
%_bindir/kugar
%_bindir/kudesigner
%_libdir/libkugar*.so*
%_libdir/kugar.so*
%_libdir/kudesigner.so*
%_libdir/libkudesignercore.so*
%_libdir/kde3/libkudesignerpart.*
%_libdir/kde3/libkugarnopimport.*
%_libdir/kde3/libkugarpart.*
%_datadir/applnk/Office/kugar.desktop
%_datadir/applnk/Office/kudesigner.desktop
%_datadir/apps/kudesigner
%_datadir/apps/kugar
#%_datadir/mimelnk/application/x-kudesigner.desktop
#%_datadir/mimelnk/application/x-vnd.kde.kugar.mixed.desktop
%_datadir/services/kugar_kugar_import.desktop
%_datadir/services/kugarpart.desktop
%_iconsdir/*/*/apps/kugar.png
%_iconsdir/*/*/apps/kudesigner.png
%_iconsdir/*/*/mimetypes/kugardata.png
%_menudir/koffice-kugar
%_menudir/koffice-kugar-designer

%files kword
%doc %_docdir/HTML/en/kword
%_bindir/kword
%_libdir/kword.so*
%_libdir/libkwmailmerge_interface.so*
%_libdir/kde3/libmswordimport.*
%_libdir/kde3/libpdfimport.*
%_libdir/kde3/libkwordlatexexport.*
%_libdir/kde3/libmswriteexport.*
%_libdir/kde3/liboowriter*
%_libdir/kde3/libkwordpart.*
%_libdir/kde3/kwmailmerge*
%_datadir/applnk/Office/kword.desktop
%_datadir/apps/kword
%_datadir/services/kwserialletter*
%_datadir/services/kword_oowriter_*port.desktop
%_datadir/services/kword_msword_*port.desktop
%_datadir/services/kword_pdf_*port.desktop
%_datadir/services/kwordpart.desktop
%_datadir/templates/.source/TextDocument.kwt
%_datadir/templates/TextDocument.desktop
%_iconsdir/*/*/apps/kword.png
%_menudir/koffice-kword

%files devel
%doc %_docdir/HTML/en/koffice-apidocs/
%_includedir/*


%changelog
* Thu Jul 08 2004 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.2-alt1
- new version

* Fri Jun 18 2004 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.1-alt2
- fix "rebuild failed"
- fix menu

* Thu May 06 2004 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.1-alt1
- new version

* Thu Mar 18 2004 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.0-alt2
- fix starting via customized menu

* Thu Mar 18 2004 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.0-alt1
- release

* Fri Dec 05 2003 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.0-alt0.3.rc1
- remove *.la files from package
- rebuild with new ImageMagic
- update wv2 to 0.2.1

* Tue Nov 04 2003 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.0-alt0.2.rc1
- 1.3-rc1

* Thu Oct 02 2003 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.0-alt0.1.beta4
- 1.3-beta4

* Wed Aug 27 2003 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.0-alt0.1.beta3
- 1.3-beta3

* Fri Jun 20 2003 Sergey V Turchin <zerg at altlinux dot org> 4:1.3.0-alt0.1.cvs
- update from cvs

* Tue May 06 2003 Sergey V Turchin <zerg at altlinux dot ru> 4:1.3.0-alt0.0.2.beta1
- 1.3-beta1 test build

* Mon Mar 17 2003 Sergey V Turchin <zerg@altlinux.ru> 4:1.2.1-alt5
- update code from cvs KOFFICE_1_2_BRANCH
- split

* Wed Feb 12 2003 Sergey V Turchin <zerg@altlinux.ru> 4:1.2.1-alt4
- update code from cvs KOFFICE_1_2_BRANCH

* Wed Jan 22 2003 Sergey V Turchin <zerg@altlinux.ru> 4:1.2.1-alt3
- exclude %_datadir/services/otherofficethumbnail.desktop

* Mon Jan 13 2003 Sergey V Turchin <zerg@altlinux.ru> 4:1.2.1-alt2
- update from cvs

* Mon Dec 16 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2.1-alt1
- new version

* Fri Nov 29 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2-alt5
- update from cvs

* Mon Nov 04 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2-alt4
- update from cvs
- fix requires

* Wed Sep 11 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2-alt3
- final
- build wit gcc3.2 && objprelink

* Tue Aug 20 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2-alt2
- update from cvs

* Fri Aug 09 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2-alt1.rc1
- new version

* Thu Apr 25 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.1.1-alt5
- rebuild with KDE3

* Mon Mar 18 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.1.1-alt4
- sync with cooker (memleak patches)

* Tue Jan 22 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.1.1-alt3
- rebuild without fam

* Tue Jan 15 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.1.1-alt2
- sync with coocker (update cvs branch)

* Tue Oct 30 2001 Sergey V Turchin <zerg@altlinux.ru> 4:1.1-alt8
- fix buildrequires

* Fri Oct 12 2001 AEN <aen@logic.ru> 1.1-alt7
- rebuilt with libpng.so.3

* Thu Aug 30 2001 Sergey V Turchin <zerg@altlinux.ru> 1.1-alt6
- release 1.1

* Tue Aug 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1-alt5
- Fixed dependencies

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1-alt4
- Fixed .la files

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1-alt3
- Some spec cleanup
- Fixed filelists

* Fri Aug 23 2001 Rider <rider@altlinux.ru> 1.1-alt2
= koshell open file patch

* Tue Aug 21 2001 Rider <rider@altlinux.ru> 1.1-alt1
- latest CVS (1.1 final)

* Mon Jul 30 2001 Sergey V Turchin <zerg@altlinux.ru> 1.1-alt0.rc1.2
- build RC1 for ALT

* Sat Jul 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.rc1.2mdk
- Fix doc for Mandrake 8.1 (patch0)

* Sat Jul 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.rc1.1mdk
- koffice 1.1 RC1

* Thu Jul 05 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.beta3.4mdk
- Rebuild with kde2.2beta1

* Wed Jun 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.beta3.3mdk
- Fix crash in killustrator and kword

* Mon Jun 25 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1-0.beta3.2mdk
- Build for Cooker
- Add missing PreReq
- Move koshell in Office/Accessories (Frederic CROZAT)

* Mon Jun 18 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1-0.beta3.1mdk
- 1.1.beta3
- Begin to add tests to automatically build right package for right distribution
- Fix and adapt LMDK menu structure for each supported LDMK distributions
- Complete BuildRequires for each supported LMDK distributions
- Make Munu structure generation readable (i.e. respect alphabetic order)
- Fix Obsoletes (i.e. learn to a package to don't obsole itself)
- Enable debug and don't strip when we are not in final release
- Enable xinerama for 8.1 distribution (currently Cooker)
- Disable --enable-final at present time (currently broken)
- Disable --enable-debug for LMDK 8.0 (buggy GCC)
- Move static libraries in devel package

* Wed Jun 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-0.beta2.3mdk
- New Office menu structure

* Thu May 24 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1-0.beta2.2mdk
- Re-enable debug (low level)
- Fix CFLAGS and CXXFLAGS
- Fix Menu structure

* Thu May 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.beta2.1mdk
- koffice1.1beta2

* Fri Apr 20 2001 Laurent MONTEL <lmontel@mandrakesoft.cpm> 1.1-0.beta1.1mdk
- koffice1.1beta1
- Increase Epoch because now name of this package is koffice1.1 and no longer
  koffice2.0

* Wed Apr 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-7mdk
- Update code
- port to new kde menu entry

* Mon Apr 09 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-6mdk
- Update code

* Tue Mar 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-5mdk
- Add missing files

* Mon Mar 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-4mdk
- Update code + add kugar

* Sat Mar 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-3mdk
- Update code

* Thu Mar 08 2001 laurent MONTEL <lmontel@mandrakesoft.com> 2.1-2mdk
- New kword version

* Thu Mar 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-1mdk
- First package of new Koffice

